Bug 20735 - mysql rpm missing a dependency
Summary: mysql rpm missing a dependency
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: mysql   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-13 00:01 UTC by Curtis Doty
Modified: 2007-04-18 16:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-13 15:59:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2000-11-13 00:01:02 UTC
I found a missing dependency in mysql-3.23.27-3 whereby it needs glibc >= 
2.1.97-2 to run. I had glibc-2.1.92-5 and it let me install without 
warning.

(I don't understand, cause it *says* it requires libc.so.6(GLIBC_2.2).)

The symptom for this defect was much uglier than the bug itself. I didn't 
look too closely, but safe_mysql went into spin cycle trying to start 
mysql. The whole time, nothing was put in /var/log.

But this newbie eventually killed it and found the clues in /var/lib/mysql/
[hostname].err which was being flooded with:
mysqld restarted
/usr/libexec/mysqld: error while loading shared 
libraries: /usr/libexec/mysqld: symbol __lxstat64, version GLIBC_2.2 not 
defined in file libc.so.6 with link time reference

../C

Work-Around Symptom:
--- /usr/bin/safe_mysqld        Wed Nov  1 09:13:24 2000
+++ safer_mysql Sun Nov 12 15:56:14 2000
@@ -191,6 +191,7 @@
     done
   fi
   echo "`date +'%y%m%d %H:%M:%S  mysqld restarted'`" | tee -a $err_log
+  sleep 1
 done
 
 echo -e "`date +'%y%m%d %H:%M:%S  mysqld ended\n'`" | tee -a $err_log

Comment 1 Trond Eivind Glomsrxd 2000-11-13 15:59:43 UTC
Thanks... I'll add that.

Comment 2 Trond Eivind Glomsrxd 2000-11-14 15:40:05 UTC
Added in 27-4, which some day should show up in Rawhide. Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.